:root {
    --font-color-white:rgb(247, 243, 243);
    --overlay-color: #3f3535;
    --ff-primary: 'Anek Malayalam', sans-serif;
}

html {
    overflow-x: hidden;
}

*, *::before, *::after {
    box-sizing: border-box; 
}

body {
    font-family: var(--ff-primary);
    background-color: var(--font-color-white);
}

/*------------------------------HERO BANNER-------------------------------------- */

.showcase {
    position: relative;
    right: 0;
    width: 100%;
    min-height: 80vh;
    display: flex;
    justify-content: space-between;
    z-index: 2;
}

.showcase.active {
    right: 300px;
}

.showcase header  {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    
    padding: 40px 100px;

    padding: 0em 1em;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.logo {
    text-transform: uppercase;
    cursor: pointer;
}

/*--------------------------------VIDEO--------------------------------------*/

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    background: var(--overlay-color);
    mix-blend-mode: overlay;
}


/* .binary-rain-video{
    opacity: 0.3;
}

.clouds-video {
    opacity: 0.5;
} */


video{
    display: block;
    position: absolute;
    top:0;
    left: 0;
    width: 100%;
    height: 80%;
    object-fit: cover;
   
}

.showcase {
    color: var(--font-color-white);
}

.icon {
    width: 45px;
    z-index: 200;
    padding: 0 .25em;
}

.header-icon {
    filter: invert(1);
}

/* .footer-icon {
 
   } */

.text {
    position: relative;
    z-index: 10; 
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center; 
    
    text-shadow: 1px 1px 2px rgb(69, 49, 33);
}

.text-one-line {

 white-space: nowrap;
}

.text h2 {
    font-size: 3rem;
    font-weight: 800;
    line-height: 1em;
    text-transform: uppercase;
    filter: invert(0);  

}

.social-container {
    display: flex;
    justify-content: center;
    padding: 1em 0;
}

@media (max-width: 375px) {

    .social-container {
        padding: 0 0;
    }

}

.social {
   position: absolute;
}

@media (max-width: 375px) {
    .text h2 {
        font-size: 1.7em;
    }
}

.text h3 {
    font-size: 1.5em;
    font-weight: 800;

}

.p-spacing { 
  padding: 0.5em;
}

.title-spacing {
    padding: 0.4em 0;
}

/*------------------------------------------MENU ----------------------------------------*/
.menu {
    display: none;

}



.menu.active {
    display: none;
    background-color: var(--font-color-white);
    
    position: fixed;
    top: 0;
    right: 0;
    width: 18.75em;
    height: 100%;
    display: flex; 
    align-items: center;
    justify-content: center;
}

@media (max-width: 375px){
    .menu.active {
        width: 12.75em;
    }
}

.menu ul {
    z-index: 900;
    position: relative;
    list-style: none;
}

@media (min-width: 375px) {
    .menu ul {
      
        padding-left: 7em;
    }
}

@media (max-width: 375px) {
    .menu ul {
        /* background-color: red; */
        padding-right: 7em;
    }
}

.menu ul li a {
    text-decoration: none;
    font-size: 1.5rem;
    color: black; 
}

.menu li {
    padding: 1.2em 0;

}

.menu ul li a:hover {
    background-color: rgb(217, 217, 255);
}
/*------------responsive menu buttons--------------------------*/
/* Hamburger Button BEFORE clicking */

.toggle {
    z-index: 920;
    position: fixed;
    right: 0;
    top:0;

    width: 60px;
    height: 60px;

    background: url('menu.png');
    background-repeat: no-repeat;
    background-size: 30px;
    background-position: center;
    /* border: 3px red solid; */
    filter: brightness(0) invert(0);
}

/* Hamburger Button AFTER clicking */

.toggle.active {
    z-index: 2000;
    position: fixed;
    right: 0;
    background: url('close.png');
    background-repeat: no-repeat;
    background-size: 25px;
    background-position: center;
    filter: brightness(0) invert(0);

}
/* ----------------------------------------------------------- */

.h1-name {
    font-size: 2rem;
}

body {
    font-weight: 400px;
    font-size:  1.3125rem;
    line-height: 1.6;
}

img {
    display: block;
    max-width: 100%;
}

.text-center {
    text-align: center;
}

.inner-section-spacing {
      margin-bottom: 1em;
}


/* .projects {
    background-color: rgb(18, 10, 24);
} */

.project-single-space{
    padding: 2.4em 0;
}

.project-row {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.row-img-select {
    max-width: 50%;

    padding: 0 0.2em;
}

.pitch-title {
    padding: 0.5em 0;
}

body, h1, h2, h3, p {
    margin: 0;
}

.h1-name  {
    font-size: 4rem;
}

.h1-title {
    font-size: 2.5rem;
}

@media (max-width: 375px) {
    .h1-name  {
        font-size: 2.4rem;
    }

    .h1-title {
        font-size: 1.5rem;
    }
}

h1, h2, h3 {
    font-weight: 900;
    line-height: 1;
}


.text {
    padding: 9rem 0;
}

header {
    padding: 6rem 0;
}

 .container {
    margin-inline: auto;
    width: min(90%, 70.5rem);
} 

.padding-top-for-section {
    padding-top: 2em;
}


.languages-software-img{
    height: 80px;
    width: 80px;
    margin: auto;
}

.languages-container {
 display: flex;
 flex-direction: row;
}

.custom-padding {
    padding-bottom : 2em;
}

.languages-gallery-ul {
    display: grid;
    grid-template-columns: repeat(3, 4fr);
  
    margin: auto;
    padding: 0;
}

.split {
    display: flex;
    flex-direction: column;
}

@media (min-width: 40em) {
    .split {
        flex-direction: row;
    }

    .split > * {
        flex-basis: 100%;
    }

    .split > * + * {
        margin-left: 2em;
    }
}

.pitch{
    padding: 3em 0;
 
    justify-content: center;

}

.vision-icon {
    filter: grayscale(100%);
}

.service-icon {
    display: flex;
    height: 50px;
    width: 50px;
}

.contact{
 display: flex;
 flex-direction: column;
 justify-content: center;
 align-items: center;
 
}

/* .split-top {

    display: flex;
    flex-direction: column;
  
   
}

@media (min-width: 40em) {
    .split-top  {
        flex-direction: row;
    }

    .split-top > * {
        flex-basis: 100%;
    }

    .split-top > * + * {
        margin-left: 2em;
    }
} */

/* 
#message{
    width: 700px;
} */


.actions {
    list-style: none;
}




footer {
    height: 5.5em;

    display: flex;
    flex-direction: row;
    list-style: none;
    justify-content: center;
    align-items: center;
}

/* .footer-icon {
 width: 40px;
 z-index: 1200;

 
} */